## lua-soap 1.0b

=== Makefile ===
LUA_DIR= /usr/local/share/lua/5.0
VERSION= 1.0b
PKG= luasoap-$(VERSION)
DIST_DIR= $(PKG)
TAR_FILE= $(PKG).tar.gz
ZIP_FILE= $(PKG).zip
LUAS= soap.lua http.lua
SRCS= README Makefile \
	$(LUAS) test.lua \
	index.html manual.html license.html luasoap.png

dist: dist_dir
	tar -czf $(TAR_FILE) $(DIST_DIR)
	zip -rq $(ZIP_FILE) $(DIST_DIR)/*
	rm -rf $(DIST_DIR)

dist_dir:
	mkdir $(DIST_DIR)
	cp $(SRCS) $(DIST_DIR)

install:
	mkdir -p $(LUA_DIR)/soap
	cp $(LUAS) $(LUA_DIR)/soap

clean:
	rm -f $(TAR_FILE) $(ZIP_FILE)

=== debian/changelog ===
lua-soap (1.0b-7) unstable; urgency=low

  * source format 3.0 (quilt)
  * bumped standards-version to 3.9.2, no changes 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 Jul 2011 23:32:03 +0200

lua-soap (1.0b-6) unstable; urgency=low

  * bumped standards-version to 3.8.2, no changes
  * added Homepage field in source stanza of control
  * fixed Vcs fields in control
  * build depend on lua5.1-policy-dev >= 22
  * put the -dev packages in libdevel 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 17:39:12 +0200

lua-soap (1.0b-5) unstable; urgency=low

  * Fixed FTBFS caused by missing build dependency on liblua5.1-expat-dev,
    thats is used during the test phase

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 29 Jul 2007 16:15:17 +0200

lua-soap (1.0b-4) unstable; urgency=low

  * Renamed deprecated CDBS variable in rules file

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 28 Jul 2007 16:42:31 +0200

lua-soap (1.0b-3) unstable; urgency=low

  * fixed date in copyright file

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 28 Jul 2007 16:41:38 +0200

lua-soap (1.0b-2) unstable; urgency=low

  * -dev package is arch all not arch any 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 28 Jul 2007 16:13:43 +0200

lua-soap (1.0b-1) unstable; urgency=low

  * Initial release. (Closes: #434335)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 21 Jul 2007 18:43:48 +0200

=== debian/control ===
Source: lua-soap
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), quilt (>= 0.40), lua5.1-policy-dev (>= 32), liblua5.1-expat-dev
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-soap
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-soap
Homepage: http://www.keplerproject.org/luasoap/

Package: liblua5.1-soap0
Architecture: all
Depends: ${shlibs:Depends}, liblua5.1-expat0, liblua5.1-socket2
Description: SOAP library for the Lua language version 5.1
 This package contains the Lua SOAP facility library.

Package: liblua5.1-soap-dev
Architecture: all
Depends: liblua5.1-soap0 (>= ${source:Upstream-Version}), liblua5.1-soap0 (<< ${source:Upstream-Version}+1~)
Section: libdevel
Description: Documentation files for the SOAP library for the Lua language version 5.1
 This package contains the documentation for the Lua 5.1 SOAP library.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-soap
#
version=3
http://luaforge.net/frs/?group_id=15  /frs/download.php/\d+/luasoap-([\d\.a-z]*).tar.gz

## lua-soap 3.0

=== debian/changelog ===
lua-soap (3.0-3) unstable; urgency=low

  * Update dependency: liblua5.1-socket2 -> lua-socket

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 27 Apr 2012 18:59:46 +0200

lua-soap (3.0-2) unstable; urgency=low

  * Provide transitional package for the -dev package too 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 27 Apr 2012 18:57:53 +0200

lua-soap (3.0-1) unstable; urgency=low

  * New upstream release, including https support 
  * Switch to dh-lua
  * Packages renamed according to the new lua policy
  * debian/compat set to 8
  * bumped standards-version to 3.9.3, no changes 
  * Removed all patches, no more needed 
  * Copyright format 1.0 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 27 Apr 2012 10:15:55 +0200

=== debian/control ===
Source: lua-soap
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8), dh-lua, lua-expat
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-soap
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-soap
Homepage: http://tomasguisasola.github.com/luasoap/

Package: lua-soap
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-expat, lua-socket
Recommends: liblua5.1-sec1
Replaces: liblua5.1-soap0 (<< 3.0-1~), liblua5.1-soap-dev (<< 3.0-1~)
Breaks: liblua5.1-soap0 (<< 3.0-1~), liblua5.1-soap-dev (<< 3.0-1~)
Provides: liblua5.1-soap0, liblua5.1-soap-dev, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: SOAP library for the Lua language
 This package contains the Lua SOAP facility library.

Package: liblua5.1-soap0
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-soap
Description: Transitional package for lua-soap
 This is a transitional package to ease upgrades to the lua-soap
 package. It can safely be removed.

Package: liblua5.1-soap-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-soap
Description: Transitional package for lua-soap
 This is a transitional package to ease upgrades to the lua-soap
 package. It can safely be removed.

## lua-soap 3.0%2Bgit91419a7

=== debian/changelog ===
lua-soap (3.0+git91419a7-1) unstable; urgency=low

  * New upstream bugfix snapshot
  * Packageing moved to git
  *  nsitional packages removed

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 10 May 2012 16:11:55 +0200

## lua-soap 3.0+git91419a7

=== Makefile ===
# $Id: Makefile,v 1.13 2009/07/22 19:02:46 tomas Exp $
#

VERSION=3.0

LUA_DIR= /usr/local/share/lua/5.1
INSTALL_DIR= $(LUA_DIR)/soap
EXTRA_DIR= $(INSTALL_DIR)/client

LUAS= src/soap.lua src/client.lua src/server.lua
EXTRA= src/client/https.lua

build clean:

install:
	mkdir -p $(INSTALL_DIR)
	cp $(LUAS) $(INSTALL_DIR)
	mkdir -p $(EXTRA_DIR)
	cp $(EXTRA) $(EXTRA_DIR)

uninstall:
	rm -rf $(INSTALL_DIR)

dist:
	cd ..; tar czf luasoap-$(VERSION).tar.gz luasoap-$(VERSION) --exclude .git --exclude rockspecs
	echo Created ../luasoap-$(VERSION).tar.gz

=== debian/changelog ===
lua-soap (3.0+git91419a7-3) unstable; urgency=medium

  * QA upload.
  * Point Vcs fields to Salsa
  * Fix Homepage
  * d/watch
     - version=4
     - Fix to work properly with tags
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove empty debian/patches/series.
  * Add debian/upstream/metadata
  * Remove potentially privacy breaking icons

 -- Andreas Tille <tille@debian.org>  Mon, 25 Aug 2025 17:54:43 +0200

lua-soap (3.0+git91419a7-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995521)

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 08:58:23 -0300

lua-soap (3.0+git91419a7-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 16:26:49 +0100

=== debian/control ===
Source: lua-soap
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), dh-lua, lua-expat
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lua-team/lua-soap
Vcs-Git: https://salsa.debian.org/lua-team/lua-soap.git
Homepage: https://tomasguisasola.github.io/luasoap/

Package: lua-soap
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-expat, lua-socket
Recommends: lua5.1-sec
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: SOAP library for the Lua language
 This package contains the Lua SOAP facility library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	chmod -R a-x src/*.lua src/*/*.lua doc/*/*
	dh_auto_configure

=== debian/watch ===
version=4
 
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,uversionmangle=s/_/./g" \
   https://github.com//tomasguisasola/luasoap/tags (?:.*?/)?v?_?(\d[\d._]*)\.tar\.gz
